Bug 231835 - Review Request: uisp - Universal In-System Programmer for Atmel AVR and 8051
Summary: Review Request: uisp - Universal In-System Programmer for Atmel AVR and 8051
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-12 13:58 UTC by Trond Danielsen
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-09 20:49:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Trond Danielsen 2007-03-12 13:58:53 UTC
Spec URL: ftp://open-gnss.org/pub/fedora/uisp/uisp.spec
SRPM URL: ftp://open-gnss.org/pub/fedora/uisp/uisp-20050207-1.src.rpm
Description: Uisp is utility for downloading/uploading programs to AVR devices. Can also be used for some Atmel 8051 type devices. In addition, uisp can erase the device, write lock bits, verify and set the active segment.


Package builds in mock without errors. rpmlint reports no warnings or errors.

Comment 1 Jason Tibbitts 2007-06-28 00:52:10 UTC
Another package I'm not qualified to understand and unable to test, but I can
review the packaging....

I'm not really sure the hardware list is appropriate for the %description.  I
don't think it's a blocker, but that's probably the thing that's best left for
the package documentation.

Review:
* source files match upstream:
   7c43c5f34f00a7243bda87457e43dc9122b5a3837b1370b30f39c1eecbedccae  
   uisp-20050207.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
O description is a bit long.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper (none).
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   uisp = 20050207-1.fc8
  =
   libgcc_s.so.1()(64bit)
   libgcc_s.so.1(GCC_3.0)(64bit)
   libstdc++.so.6()(64bit)
   libstdc++.so.6(CXXABI_1.3)(64bit)
   libstdc++.so.6(CXXABI_1.3.1)(64bit)
   libstdc++.so.6(GLIBCXX_3.4)(64bit)
* %check is not present; no test suite upstream.  I haven't the hardware to
   test this manually.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED

Comment 2 Trond Danielsen 2007-07-02 20:56:16 UTC
Thanks for the review! I am very busy this week, but will finish the package
during the weekend.

Comment 3 Trond Danielsen 2007-07-16 22:43:34 UTC
New Package CVS Request
=======================
Package Name: uisp
Short Description: Universal In-System Programmer for Atmel AVR and 8051
Owners: trond.danielsen@gmail.com
Branches: FC-6, FC-7
InitialCC: 

Comment 4 Hans de Goede 2007-08-20 08:09:22 UTC
Woops looks like you forgot to set the cvs flag, setting.


Comment 5 Warren Togami 2007-08-20 14:13:04 UTC
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
Please follow the updated request template, where we need your FAS name instead
of e-mail.

Comment 6 Trond Danielsen 2007-08-22 14:04:28 UTC
New Package CVS Request
=======================
Package Name: uisp
Short Description: Universal In-System Programmer for Atmel AVR and 8051
Owners: trondd
Branches: FC-6, F-7, EL-5
InitialCC: 
Commits by cvsextras: yes

Comment 7 Jason Tibbitts 2007-08-25 17:14:59 UTC
Looks like fedora-cvs didn't get set back to '?'.

Comment 8 Kevin Fenzi 2007-08-26 21:53:31 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.